<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:48 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CategoryAdapter</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.CategoryAdapter class">
<meta name="keywords" content="getCategories()">
<meta name="keywords" content="setCategories()">
<meta name="keywords" content="onCreateViewHolder()">
<meta name="keywords" content="onAttachedToRecyclerView()">
<meta name="keywords" content="getItemCount()">
<meta name="keywords" content="onBindViewHolder()">
<meta name="keywords" content="setCategorySelected()">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CategoryAdapter";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/CategoryAdapter.html" target="_top">Frames</a></li>
<li><a href="CategoryAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa</div>
<h2 title="Class CategoryAdapter" class="title">Class CategoryAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.CategoryAdapter</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">CategoryAdapter</span></pre>
<div class="block"><p><p>Adapter für das <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter.ViewHolder</a></span></code>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#CategoryAdapter-categories-viewModel-">CategoryAdapter</a></span>(java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;categories,
               <a href="../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="type parameter in CategoryViewModel">CategoryViewModel</a>&nbsp;viewModel)</code>
<div class="block">Adapter für das <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#getCategories--">getCategories</a></span>()</code>
<div class="block">Liste der <a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#getItemCount--">getItemCount</a></span>()</code>
<div class="block">gibt die Anzahl der anzuzeigenden Zeilen der RecyclerView-Liste zurück</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onAttachedToRecyclerView-recyclerView-">onAttachedToRecyclerView</a></span>(android.support.v7.widget.RecyclerView&nbsp;recyclerView)</code>
<div class="block">wird aufgerufen, wenn der Adapter an das RecyclerView des übergeordneten Fragment hinzugefügt wird</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onBindViewHolder-holder-position-">onBindViewHolder</a></span>(<a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="type parameter in CategoryAdapter.ViewHolder">CategoryAdapter.ViewHolder</a>&nbsp;holder,
                int&nbsp;position)</code>
<div class="block">wird aufgerufen, wenn ein neues Element angezeigt werden soll</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="type parameter in CategoryAdapter.ViewHolder">CategoryAdapter.ViewHolder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-">onCreateViewHolder</a></span>(android.view.ViewGroup&nbsp;parent,
                  int&nbsp;viewType)</code>
<div class="block">wird aufgerufen, wenn der ViewHolder erstellt wird und lädt das Layout, was als Binding weiterverwendet werden kann</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#setCategories-value-">setCategories</a></span>(java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;value)</code>
<div class="block">Liste der <a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#setCategorySelected-c-">setCategorySelected</a></span>(<a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;c)</code>
<div class="block">selektiert eine Kategorie in der Liste und speichert diese Selektion im ViewModel, wenn bereits eine andere Kategorie
selektiert oder die gleiche Kategorie erneut selektiert wurde, deselektiert es diese.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CategoryAdapter-categories-viewModel-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CategoryAdapter</h4>
<pre>public&nbsp;CategoryAdapter(java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;categories,
                       <a href="../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="type parameter in CategoryViewModel">CategoryViewModel</a>&nbsp;viewModel)</pre>
<div class="block"><p><p>Adapter für das <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>viewModel</code> - das ViewModel für die Kategorien (um die Auswahl zu speichern)</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCategories--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategories</h4>
<pre>public&nbsp;java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;getCategories()</pre>
<div class="block"><p><p>Liste der <a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
<a name="setCategories-value-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCategories</h4>
<pre>public&nbsp;void&nbsp;setCategories(java.util.List&lt;markus.keingeldfuerdiemensa.backend.Category&gt;&nbsp;value)</pre>
<div class="block"><p><p>Liste der <a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a></dd>
</dl>
</li>
</ul>
<a name="onCreateViewHolder-parent-viewType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreateViewHolder</h4>
<pre>public&nbsp;<a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="type parameter in CategoryAdapter.ViewHolder">CategoryAdapter.ViewHolder</a>&nbsp;onCreateViewHolder(android.view.ViewGroup&nbsp;parent,
                                                     int&nbsp;viewType)</pre>
<div class="block"><p><p>wird aufgerufen, wenn der ViewHolder erstellt wird und lädt das Layout, was als Binding weiterverwendet werden kann</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - das übergeordnete View</dd>
</dl>
</li>
</ul>
<a name="onAttachedToRecyclerView-recyclerView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onAttachedToRecyclerView</h4>
<pre>public&nbsp;void&nbsp;onAttachedToRecyclerView(android.support.v7.widget.RecyclerView&nbsp;recyclerView)</pre>
<div class="block"><p><p>wird aufgerufen, wenn der Adapter an das RecyclerView des übergeordneten Fragment hinzugefügt wird</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recyclerView</code> - das RecyclerView</dd>
</dl>
</li>
</ul>
<a name="getItemCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemCount</h4>
<pre>public&nbsp;int&nbsp;getItemCount()</pre>
<div class="block"><p><p>gibt die Anzahl der anzuzeigenden Zeilen der RecyclerView-Liste zurück</p></p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Größe der Quell-Liste</dd>
</dl>
</li>
</ul>
<a name="onBindViewHolder-holder-position-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onBindViewHolder</h4>
<pre>public&nbsp;void&nbsp;onBindViewHolder(<a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="type parameter in CategoryAdapter.ViewHolder">CategoryAdapter.ViewHolder</a>&nbsp;holder,
                             int&nbsp;position)</pre>
<div class="block"><p><p>wird aufgerufen, wenn ein neues Element angezeigt werden soll</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>holder</code> - der ViewHolder des Adapters</dd>
<dd><code>position</code> - die Position in der Quell-Liste (<a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#getCategories--"><code>CategoryAdapter.getCategories</code></a>)</dd>
</dl>
</li>
</ul>
<a name="setCategorySelected-c-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCategorySelected</h4>
<pre>public&nbsp;boolean&nbsp;setCategorySelected(<a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;c)</pre>
<div class="block"><p><p>selektiert eine Kategorie in der Liste und speichert diese Selektion im ViewModel, wenn bereits eine andere Kategorie
selektiert oder die gleiche Kategorie erneut selektiert wurde, deselektiert es diese.</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - die zu selektierende Kategorie</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, wenn eine Kategorie selektiert wurde, andernfalls false</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/CategoryAdapter.html" target="_top">Frames</a></li>
<li><a href="CategoryAdapter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
